Request an OIDC token
Request an Open ID Connect token for your machine. Customize the audience claim with the `aud` parameter. This returns a JWT token. Learn more about [using OpenID Connect](/docs/reference/openid-connect/) on Fly.io.
Request an Open ID Connect token for your machine. Customize the audience claim with the aud parameter. This returns a JWT token. Learn more about using OpenID Connect on Fly.io.
Authorization
bearerAuth A Fly.io access token. Create one with fly tokens create.
In: header
Request Body
application/json
Optional request body
Optional parameters
Response Body
text/plain
text/plain
curl -X POST "https://example.com/tokens/oidc" \ -H "Content-Type: application/json" \ -d '{}'"string"{ "details": {}, "error": "string", "status": "unknown"}Request a Petsem token for accessing KMS POST
This site hosts documentation generated from the Fly.io Machines API OpenAPI specification. Visit our complete [Machines API docs](https://fly.io/docs/machines/api/apps-resource/) for details about using the Apps resource.
List All Machines GET
List all Machines associated with a specific organization. Machines are sorted by their `updated_at` timestamps, oldest to newest. This API call represents "a point in time". Recent machine changes, including creations and destructions, may take time to propagate. When polling with `updated_after`, offset your timestamps to catch late-arriving events.